Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 May 2015 17:13:37 +0300

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 2 May 2015 16:42:28 +0300
> 
> On 05/02/2015 03:45 PM, Eli Zaretskii wrote:
> 
> > Do you mean it will only return matches in files in that directory,
> > even if ID says the file is elsewhere?
> 
> I don't know. Can ID file reference files outside of its subtree?

It can.  But if the subdirectories of the directory it asks about will
also be included, that's good enough.  Perhaps the prompt should say

  Search in and below directory: ...

> > If you type "lid", do you see absolute file names in both cases, or do
> > you see relative ones when ID was created by "mkid ." (note the dot)?
> 
> Relative ones, in both cases. You might want to look at 
> `cedet-idutils-expand-filename'.

I don't think it's relevant, see my other message.

> > I didn't say xref should fix this.  Is there no information  xref gets
> > from symref apart of the (empty) list of references?
> 
> Not currently, no.

Maybe the interface could be expanded to provide more in case of an
error.